<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyCard',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpRow class="case-study-card">
    <SlpColumn :cols="4" class="case-study-card__content">
      <SlpTypography tag="h3" variant="heading5-bold" class="slp-mb-24">
        {{ data.title }}
      </SlpTypography>
      <SlpTypography tag="h4" variant="heading5">
        {{ data.subtitle }}
      </SlpTypography>
    </SlpColumn>
    <SlpColumn :cols="6" class="second-col">
      <a
        class="link-container"
        :href="data.button.href"
        :data-ga-name="data.button.data_ga_name"
        :data-ga-location="data.button.data_ga_location"
      >
        <nuxt-img
          :src="data.image.url"
          :alt="data.image.alt ? data.image.alt : ''"
          loading="lazy"
          format="webp"
          quality="99"
        />
        <div class="link-container__link">
          <SlpTypography tag="span" variant="body2-bold">
            {{ data.button.text }}
          </SlpTypography>
          <SlpIcon
            class="slp-ml-8 slp-mb-4"
            name="chevron-lg-right"
            variant="product"
            alt="Chevron Right Icon"
          />
        </div>
      </a>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.case-study-card {
  flex-direction: row;
  justify-content: space-between;

  &__content {
    flex: 1 0 60%;
  }

  .second-col {
    padding: 24px 0;
    overflow: hidden;
    position: relative;
    z-index: 2;

    &:after {
      content: '';
      height: 100%;
      left: 32px;
      position: absolute;
      top: 0;
      width: 100%;
      pointer-events: none;
      transition: background-color 0.3s ease-in-out;
      z-index: 0;
    }

    &:hover {
      &:after {
        background-color: $color-surface-900;
      }
      .link-container img {
        border-bottom-right-radius: 100px;
      }
    }

    @media (max-width: $breakpoint-md) {
      height: 285px;
      width: 100%;
      padding: 24px 0 0;

      &:after {
        display: none;
      }
    }

    .link-container {
      cursor: pointer;
      position: relative;
      height: 100%;
      display: flex;
      align-items: flex-start;
      justify-content: space-between;
      flex-wrap: wrap;

      img {
        border-radius: 4px;
        transition: border-bottom-right-radius 0.3s ease-in-out;
        z-index: 1;
        width: 196px;
        height: 215px;
        min-width: 196px;
        min-height: 215px;
        -o-object-fit: cover;
        object-fit: cover;
        margin-bottom: $spacing-24;
      }

      &__link {
        padding-right: $spacing-16;
        font-weight: 600;
        z-index: 1;
        position: relative;
        color: $color-text-300;
        display: flex;
        flex-wrap: nowrap;
      }

      @media (max-width: $breakpoint-md) {
        display: block;

        img {
          width: 90vw;
          height: 200px;
        }

        &__link {
          padding: 0 $spacing-16 0 0;
        }
      }
    }
  }
}
</style>
